## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContext::XPathGuard Class Reference

`#include <StylesheetExecutionContext.hpp>`

Collaboration diagram for StylesheetExecutionContext::XPathGuard:

List of all members.

## Public Methods

- XPathGuard ( StylesheetExecutionContext& context, const XPath* xpath = 0)
- ~XPathGuard ()
- const XPath* get () const
- const XPath* release ()
- void reset (const XPath* xpath)

## Constructor & Destructor Documentation

StylesheetExecutionContext::XPathGuard::XPathGuard ( | StylesheetExecutionContext & context,
| const XPath * xpath = 0 )

StylesheetExecutionContext::XPathGuard::~XPathGuard ( | )`[]`

## Member Function Documentation

const XPath * StylesheetExecutionContext::XPathGuard::get ( | ) const`[]`

const XPath * StylesheetExecutionContext::XPathGuard::release ( | )`[]`

void StylesheetExecutionContext::XPathGuard::reset ( | const XPath * xpath )`[]`

The documentation for this class was generated from the following file:

- StylesheetExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.